Bug 153062 - system-config-network generates invalid static route file
system-config-network generates invalid static route file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-04-01 02:13 EST by Robert Nichols
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 10:50:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-04-01 02:13:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When adding an explicit static route to a network interface, if the
"Gateway" field is left blank the program does not complain, but a
subsequent invocation of system-config-network will complain about
an invalid static route file.  The route file with no "GATEWAYn="
entry works just fine when bringing upt the interface, but is
rejected for subsequent editing.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-network.
2. Select an existing interface and click on "Edit".
3. Select the "Route" tab and click on "Add...".
4. Enter a valid Address and Subnet mask, but leave the Gateway field blank.
5. Click on "OK" in the Add/Edit dialog and in the Route dialog.
6. In the main dialog, select "Save" from the "File" menu.
7. Quit from the program.
8. Run system-config-network again.
  

Actual Results:  An error message popup appears stating, "Static routes file {interface_name} is invalid."  Upon entering the edit dialog again, the previously entered static route will be missing.

Expected Results:  The program should produce a static route file that it is able to parse.

Additional info:

The workaround is to always fill in the Gateway field even though the program does not complain about the blank field when saving the file.
Comment 1 Matthew Miller 2006-07-10 17:33:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Jiri Moskovcak 2007-10-15 10:36:08 EDT
It seems this bug is fixed in F8/rawhide.
Comment 3 Harald Hoyer 2007-10-15 10:50:00 EDT
indeed

Note You need to log in before you can comment on or make changes to this bug.